<%- include('./partials/messages') %>

<div class="container py-md-5 container--narrow">
  <h2><img class="avatar-small" src="<%= profileAvatar %>"> <%= profileUsername %> 
    <form class="ml-2 d-inline" action="/addFollow/<%= profileUsername %>" method="POST">
      <button class="btn btn-primary btn-sm">Follow <i class="fas fa-user-plus"></i></button>
      <!-- <button class="btn btn-danger btn-sm">Stop Following <i class="fas fa-user-times"></i></button> -->
    </form>
  </h2>

  <div class="profile-nav nav nav-tabs pt-2 mb-4">
    <a href="#" class="profile-nav-link nav-item nav-link active">Posts: 3</a>
    <a href="#" class="profile-nav-link nav-item nav-link ">Followers: 3</a>
    <a href="#" class="profile-nav-link nav-item nav-link ">Following: 2</a>
  </div>

  <div class="list-group">
    <% posts.forEach(function(post) { %>
      <a href="/post/<%= post._id %>" class="list-group-item list-group-item-action">
        <img class="avatar-tiny" src="<%= post.author.avatar %>">
        <strong><%= post.title %></strong> on <%= post.createdDate.getMonth() + 1 %>/<%= post.createdDate.getDate() %>/<%= post.createdDate.getFullYear() %>
      </a>
    <% }) %>
  </div>
</div>